package View;

import javax.swing.*;
import java.awt.*;
import Model.MenuModel;

public class MenuView extends JFrame {
    private PanneauImage panneauImage;
    private TitreView titreView; 
    private BoutonView boutonJouer; 
    private BoutonView boutonCommentJouer;
    private BoutonView boutonQuitter;

    public MenuView(MenuModel model) {

        setTitle("Dorfromantik");
        setSize(800, 600);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLocationRelativeTo(null);

        panneauImage = new PanneauImage(model.getImageDeFond());
        setContentPane(panneauImage);  
        titreView = new TitreView();
        
        JPanel panelTitre = new JPanel(new FlowLayout(FlowLayout.CENTER));  
        panelTitre.setOpaque(false);  
        panelTitre.add(titreView.getTitre()); 

        setLayout(new BorderLayout());  
        add(panelTitre, BorderLayout.NORTH); 
        
        JPanel panelBouton = new JPanel();
        panelBouton.setOpaque(false); // Panneau transparent pour ne pas couvrir l'image de fond
        panelBouton.setLayout(new BoxLayout(panelBouton, BoxLayout.Y_AXIS)); // Disposition verticale
        
        // Initialisation des boutons
        boutonJouer = new BoutonView("Jouer"); 
        boutonCommentJouer = new BoutonView("Comment Jouer ?");
        boutonQuitter = new BoutonView("Quitter");
        
        panelBouton.add(boutonJouer); 
        panelBouton.add(Box.createVerticalStrut(10)); // Espace entre les boutons
        panelBouton.add(boutonCommentJouer);
        panelBouton.add(Box.createVerticalStrut(10)); // Espace entre les boutons
        panelBouton.add(boutonQuitter);

        add(panelBouton, BorderLayout.SOUTH);

        setVisible(true);
    }
}
